# App Gallery

::::{grid} 1 2 2 3
:gutter: 1 1 1 2

:::{grid-item-card} Portfolio Optimizer
:img-top: https://assets.holoviz.org/panel/gallery/portfolio_optimizer.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/portfolio_optimizer
:link-type: url

Stock portfolio optimization by exploring the efficient frontier and optimizing the Sharpe ratio.
+++
[See source](portfolio_optimizer)
:::

:::{grid-item-card} Streaming Videostream
:img-top: https://assets.holoviz.org/panel/gallery/streaming_videostream.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/streaming_videostream
:link-type: url

Applying face detection and other image transforms on your webcam input using scikit-image.
+++
[See source](streaming_videostream)
:::

:::{grid-item-card} Windturbines Explorer
:img-top: https://assets.holoviz.org/panel/gallery/windturbines.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/windturbines
:link-type: url

Visually explore a dataset of US Windturbines.
+++
[See source](windturbines)
:::

:::{grid-item-card} Portfolio Analyzer
:img-top: https://assets.holoviz.org/panel/gallery/portfolio_analyzer.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/portfolio_analyzer
:link-type: url

Analyze a stock portfolio using Plotly and Tabulator components.
+++
[See source](portfolio_analyzer)
:::

:::{grid-item-card} OGGM Glaciers
:img-top: https://assets.holoviz.org/panel/gallery/glaciers.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/glaciers
:link-type: url

Visually explore the worlds glaciers in this application built in collaboration with OGGM.
+++
[See source](glaciers)
:::

:::{grid-item-card} VTK Slicer
:img-top: https://assets.holoviz.org/panel/gallery/vtk_slicer.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/vtk_slicer
:link-type: url

Visualizing MRI brain scans and their cross-sections using a VTK volume and linked 2D slices.
+++
[See source](vtk_slicer)
:::

:::{grid-item-card} Deck.GL: NYC Taxi
:img-top: https://assets.holoviz.org/panel/gallery/nyc_deckgl.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/nyc_deckgl
:link-type: url

NYC Taxi trips visualized and animated using Deck.GL.
+++
[See source](nyc_deckgl)
:::

:::{grid-item-card} Gapminders
:img-top: https://assets.holoviz.org/panel/gallery/gapminders.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/gapminders
:link-type: url

Visualizing the Gapminders data using the most common Python plotting libraries.
+++
[See source](gapminders)
:::

:::{grid-item-card} VTK: St. Helens
:img-top: https://assets.holoviz.org/panel/gallery/vtk_interactive.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/vtk_interactive
:link-type: url

Visualizing the surface of Mount St. Helens using VTK and linked widgets to control the rendering.
+++
[See source](vtk_interactive)
:::

:::{grid-item-card} Penguin Crossfiltering
:img-top: https://assets.holoviz.org/panel/gallery/penguin_crossfilter.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/penguin_crossfilter
:link-type: url

Palmer Penguins data visualized using a set of linked cross-filtering plots.
+++
[See source](penguin_crossfilter)
:::

:::{grid-item-card} Deck.GL: Game of Life
:img-top: https://assets.holoviz.org/panel/gallery/deckgl_game_of_life.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/deckgl_game_of_life
:link-type: url

Game of Life simulation rendered on a 3D plane using Deck.gl.
+++
[See source](deckgl_game_of_life)
:::

:::{grid-item-card} hvPlot Explorer
:img-top: https://assets.holoviz.org/panel/gallery/hvplot_explorer.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/hvplot_explorer
:link-type: url

Use the hvPlot explorer to interactive visualize your dataset.
+++
[See source](penguin_crossfilter)
:::

:::{grid-item-card} Iris KMeans Clustering
:img-top: https://assets.holoviz.org/panel/gallery/iris_kmeans.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/iris_kmeans
:link-type: url

Interactively apply KMeans clustering on the Iris dataset.
+++
[See source](iris_kmeans)
:::

:::{grid-item-card} XGBoost Classifier
:img-top: https://assets.holoviz.org/panel/gallery/xgboost_classifier.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/xgboost_classifier
:link-type: url

Interactively apply a XGBoost classifier on the Iris dataset.
+++
[See source](xgboost_classifier)
:::

:::{grid-item-card} Altair Brushing
:img-top: https://assets.holoviz.org/panel/gallery/altair_brushing.png
:link: https://|gallery-endpoint|.pyviz.demo.anaconda.com/altair_brushing
:link-type: url

Try interactive brushing on an Altair plot linked with a table.
+++
[See source](altair_brushing)
:::

::::

## Community Gallery

::::{grid} 1 2 2 3
:gutter: 1 1 1 2

:::{grid-item-card} awesome-panel.org Gallery
:img-top: https://assets.holoviz.org/panel/gallery/community/awesome_gallery.png
:link: https://awesome-panel.org/gallery
:link-type: url

A great selection of applications showcasing various features of Panel built and maintained by Marc Skov Madsen.
:::

:::{grid-item-card} cuxfilter
:img-top: https://assets.holoviz.org/panel/gallery/community/cuxfilter.png
:link: https://github.com/rapidsai/cuxfilter
:link-type: url

cuxfilter ( ku-cross-filter ) is a RAPIDS framework to connect web visualizations to GPU accelerated crossfiltering which is built on top of Panel.
:::

:::{grid-item-card} awesome-panel.org Community Gallery
:img-top: https://assets.holoviz.org/panel/gallery/community/awesome_community.png
:link: https://awesome-panel.org/awesome_list
:link-type: url

A list of applications, videos and blog posts about Panel built by the community, curated by Marc Skov Madsen.
:::

:::{grid-item-card} AstronomicalAL
:img-top: https://assets.holoviz.org/panel/gallery/community/AstronomicAL.png
:link: https://github.com/grant-m-s/AstronomicAL
:link-type: url

An interactive dashboard for visualisation, integration and classification of data using Active Learning.
:::

:::{grid-item-card} PyHDX
:img-top: https://assets.holoviz.org/panel/gallery/community/pyhdx.png
:link: https://github.com/Jhsmit/PyHDX
:link-type: url

PyHDX is software to extract H/D exchange kinetics from HDX-MS data sets in terms of Gibbs free energy of exchange (ΔG) at the residue level.
:::

:::{grid-item-card} gluoNNet Aviation Tracking
:img-top: https://assets.holoviz.org/panel/gallery/community/gluoNNet.png
:link: http://gluonnet.com/portfolio/aviation-graphs/
:link-type: url

The gluoNNet aviation tracking application visualizes airplane positioning (ADS-B) data to track, analyse, and manage flight tracks, aircraft behaviour, and flight efficiency.
:::

::::


```{toctree}
:titlesonly:
:hidden:
:maxdepth: 1

portfolio_optimizer
streaming_videostream
windturbines
portfolio_analyzer
glaciers
vtk_slicer
nyc_deckgl
gapminders
vtk_interactive
penguin_crossfilter
deckgl_game_of_life
hvplot_explorer
xgboost_classifier
altair_brushing
vtk_warp
iris_kmeans
penguin_kmeans
```
